%define		php_name	php%{?php_suffix}
%define		modname	timezonedb
%define		status		stable
Summary:	%{modname} - timezone database to be used with PHP's date and time functions
Summary(pl.UTF-8):	%{modname} - baza stref czasowych do wykorzystania z funkcjami date() oraz time()
Name:		%{php_name}-pecl-%{modname}
Version:	2011.14
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	3dadd9c2e4dd23e510f1dae03eb14f8a
URL:		http://pecl.php.net/package/timezonedb/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension is a drop-in replacement for the builtin timezone
database that comes with PHP. You should only install this extension
in case you need to get a later version of the timezone database then
the one that ships with PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie zastępuje wbudowanę bazę stref czasowych dostarczaną
wraz z PHP. Należy instalować to rozszerzenie tylko jeśli musimy
skorzystać z nowszej wersji bazy stref czasowych niż tej dostarczanej
wraz z archiwum PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

if [ "%{php_major_version}.%{php_minor_version}" = "5.3" ]; then
	echo >&2 "pointless to build, PLD Linux PHP >= 5.3 uses system tzdata"
	exit 1
fi

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-timezonedb.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> a9846b9
support building for multiple php versions

* Thu Feb 09 2012 Elan Ruusamäe <glen@pld-linux.org> 1c894c0
- up to 2011.14

* Thu Aug 04 2011 Elan Ruusamäe <glen@pld-linux.org> bde487f
- pointless to build, PLD Linux PHP >= 5.3 uses system tzdata

* Sun Jul 03 2011 Adam Gołębiowski <adamg@pld-linux.org> 5f8812f
- updated to 2011.8 (2011h)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 714e6f6
- release 2

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 4aa81a4
- up to 2010.9

* Wed Apr 07 2010 amateja <amateja@pld-linux.org> 60aa163
- updated to 2010.7.1

* Tue Mar 09 2010 amateja <amateja@pld-linux.org> 01a4294
- updated to 2010.5

* Tue Feb 09 2010 Adam Gołębiowski <adamg@pld-linux.org> 3bb703f
- updated to 2010.2 (2010b)

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> b12a355
- updated to 2009.21 (2009u)

* Tue Nov 10 2009 Adam Gołębiowski <adamg@pld-linux.org> f822db6
- updated to 2009.18 (2009r)

* Sat Nov 07 2009 Adam Gołębiowski <adamg@pld-linux.org> fa1e529
- updated to 2009.17 (2009q)

* Wed Oct 28 2009 Adam Gołębiowski <adamg@pld-linux.org> 4acc181
- updated to 2009.16 (2009p)

* Wed Oct 14 2009 Adam Gołębiowski <adamg@pld-linux.org> 7dd9d39
- updated to 2009.14 (2009n)

* Fri Oct 09 2009 amateja <amateja@pld-linux.org> 990c20c
- updated to 2009.13

* Tue Aug 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 865fa68
- updated to 2009.12 (2009l)

* Sat Jun 20 2009 Adam Gołębiowski <adamg@pld-linux.org> 5f5a8e2
- updated to 2009.10 (2009j)

* Tue May 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 9babdea
- updated to 2009.8 (2009h)

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 75e512a
- updated to 2009.6 (from Andrzej Mateja <amateja () pimpek.one.pl>

* Sat Apr 11 2009 Adam Gołębiowski <adamg@pld-linux.org> 01bf154
- updated to 2009.5 (2009e)

